package com.nec.webotx.webservice.sample;

public class HelloClient {

	private javax.xml.rpc.Stub stub;
	private Hello_PortType binding;

	public HelloClient() throws Exception {
		stub = (javax.xml.rpc.Stub) new Hello_Service_Impl().getHelloPort();
		binding = (Hello_PortType) stub;
	}

	public HelloClient(java.lang.String url) throws Exception {
		stub = (javax.xml.rpc.Stub) new Hello_Service_Impl().getHelloPort();
		stub._setProperty(javax.xml.rpc.Stub.ENDPOINT_ADDRESS_PROPERTY, url);
		binding = (Hello_PortType) stub;
	}

	public java.lang.String say_hello_Hello(java.lang.String in0)
		throws java.rmi.RemoteException {
		return binding.say_hello_Hello(in0);
	}

	public static void main(String[] args) throws Exception {
		HelloClient client;
		if (args.length > 0) {
			client = new HelloClient(args[0]);
		} else {
			client = new HelloClient();
		}
		System.out.println(client.say_hello_Hello("webotx"));
	}

}
